<div class="w-full h-72 md:h-80 lg:h-96 xl:h-[38rem] relative">
  <div class="absolute inset-0 bg-cover bg-center filter brightness-65 blur-[2.3px] transition-opacity duration-1000 ease-in-out" [ngStyle]="{'background-image': 'url(' + currentBackground + ')', 'opacity': currentBackgroundOpacity}"></div>
  <div class="animate fadeIn delay text-center lg:text-left text-white pt-24 md:pt-28 lg:pt-36 lg:mx-24 xl:mx-40 xl:pt-56">
    <h1 class="min-[375px]:text-2xl text-xl font-medium md:text-4xl lg:text-5xl xl:text-7xl">Bienvenue sur La Virée Terroir</h1>
    <p class="text-sm min[375px]:text-base md:text-lg mt-1 xl:text-xl">Les spécialités locales ici, rien que pour vous</p>
  </div>
  <div class="relative flex justify-center lg:justify-start lg:mx-24 xl:mx-40 mt-9 z-10 xl:text-xl">
    <app-button [buttonText]="'Découvrir maintenant'"></app-button>
  </div>
</div>

<div class="mt-16">
  <div class="lg:hidden">
    <h2 class="text-center text-lg md:text-xl lg:text-2xl relative">
      <span class="text-orange-500 font-medium">Explorez</span> le terroir, découvrez l'authenticité
    </h2>
    <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-16 border-t-2 border-orange-500">
  </div>
  
  <div class="mt-10 drop-shadow-lg py-5 flex justify-center items-center lg:mx-20">
    <div class="hidden lg:flex">
      <div>
        <h2 class="text-4xl relative xl:text-6xl">
          <span class="text-orange-500 font-medium">Explorez</span> le terroir, découvrez l'authenticité
        </h2>
        <br />
        <p class="xl:text-lg">Avec La Virée terroir, explorez les différents départements du territoire et découvrez les nombreuses activités, commerces et produits associés</p>
        <br />
        <app-button [buttonText]="'Afficher tous les départements'" (buttonClick)="navigateToAllDepartmentPage()" class="xl:text-xl"></app-button>
      </div>
    </div>
    <app-map class="w-10/12 lg:w-full xl:w-10/12"></app-map>
  </div>
  <app-button [buttonText]="'Afficher tous les départements'" (buttonClick)="navigateToAllDepartmentPage()" class="xl:text-xl flex justify-center text-xs mt-5 lg:hidden"></app-button>
</div>

<div class="mt-28">
  <h2 class="text-center text-lg md:text-xl lg:text-2xl xl:text-3xl relative mx-10 md:mx-44 lg:mx-72 xl:mx-[26rem] 2xl:mx-[36rem]">
    Partez à la <span class="text-orange-500 font-medium">découverte</span> des produits et des activités du terroir
  </h2>
  <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-14 border-t-2 border-orange-500">
  <br />
  <app-carousel *ngIf="productList.length > 0" [dataList]="productList" [itemTemplate]="productTemplate" [customOptions]="customOptions">
    <ng-template #productTemplate let-item>
      <div class="relative mx-5 text-white mt-10">
        <img [src]="item.product_img" alt="Product Image" class="w-52 h-80 filter brightness-65 rounded md:w-72 lg:w-80 xl:w-96 xl:h-96 object-cover" />
        <div class="absolute inset-0 flex flex-col justify-end m-8">
          <p class="text-lg my-2 font-medium md:text-xl xl:text-2xl">{{ item.product_name }}</p>
          <app-button [buttonText]="'Voir plus'" class="text-sm xl:text-base" (buttonClick)="navigateToProduct(item.product_name)"></app-button>
        </div>
      </div>
    </ng-template>
  </app-carousel>
</div>

<section class="overflow-hidden mt-28 md:mt-48">
  <div class="container px-5 lg:px-0 mx-auto">
    <div class="lg:w-4/5 mx-auto flex flex-wrap items-center">
      <img alt="ecommerce" class="lg:w-1/2 w-full lg:h-auto h-64 object-cover object-center rounded" src="https://assets-global.website-files.com/608a64015eac051aae6861a3/624eb3db53f40329e9c3b439_investir%20%C3%A0%20corbeil%20essonnes.jpg">
      <div class="lg:w-1/2 w-full lg:pl-10 lg:py-6 mt-6 lg:mt-0">
        <h2 class="text-center text-lg md:text-xl lg:text-2xl xl:text-4xl relative mx-10">
          Le département du mois est <span class="text-orange-500 font-medium">Essonne</span>
        </h2>
        <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-14 border-t-2 border-orange-500 lg:hidden">
        <br />
        <p class="text-center text-sm md:text-base xl:text-lg">Chaque mois, un département est mis en avant. La page du département en question sera plus riche et fournie en informations. N’hésitez donc surtout pas à aller y jeter un oeil ;)</p>
        <div class="mt-5 text-center">
          <app-button [buttonText]="'Voir plus de détails'"></app-button>
        </div>
      </div>
    </div>
  </div>
</section>

<section class="mt-28 md:mt-48 bg-[#C29667] text-white p-10" style="filter: drop-shadow(0px 7px 6px #8f8f8f);">
  <div class="container mx-auto justify-center flex px-5 md:flex-row flex-col items-center">
    <div class="lg:pr-24 md:pr-16 flex justify-center flex-col md:items-start md:text-left md:mb-0 items-center text-center">
      <h2 class="text-xl lg:text-2xl mb-1 font-medium xl:text-3xl">Vous préférez qu’on vous guide ? </h2>
      <p class="mb-4 xl:text-lg">Suivez nos circuits afin de profiter de la découverte des diffférents produits du terroir</p>
      <div class="flex justify-center">
        <app-button [buttonText]="'Démarrer des circuits'" (buttonClick)="navigateToCircuit(1)"></app-button>
      </div>
    </div>
    <div class="w-40 mt-10 md:mt-0">
      <img class="object-cover object-center" alt="hero" src="../../../assets/circuit.png">
    </div>
  </div>
</section>

<div class="mt-28 md:mt-48">
  <h2 class="text-center text-lg md:text-xl lg:text-2xl relative">
    Nos derniers <span class="text-orange-500 font-medium">blogs</span>
  </h2>
  <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-16 border-t-2 border-orange-500">
  <div class="flex justify-center gap-10 mt-10 flex-wrap relative">
    @for(post of blog; track post.ID_article){
      <div (click)="navigateToBlog(post.article_title)" class="relative group hover:cursor-pointer">
        <img class="h-72 w-72 object-cover object-center inset-0 bg-cover bg-center filter brightness-65 blur-[3px] transform transition-transform duration-300 group-hover:translate-y-[-5px]" src={{post.article_image}} alt="blog">
        <div class="absolute inset-0 flex justify-center items-center transform transition-transform duration-300 group-hover:translate-y-[-5px]">
          <span class="text-white text-center font-medium text-xl">{{post.article_title}}</span>
        </div>
      </div>
    }
  </div>
</div>

<div class="mt-28 md:mt-48 mb-20 md:flex md:justify-center md:items-center md:gap-10">
  <div>
    <h2 class="text-center text-lg md:text-xl lg:text-2xl relative">
      La Virée Terroir <span class="text-orange-500 font-medium">en vidéo</span>
    </h2>
    <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-16 border-t-2 border-orange-500 md:hidden">
    <video class="w-full lg:w-[25rem] xl:w-[35rem] mt-5 mb-5 aspect-video" controls>
      <source src="https://docs.material-tailwind.com/demo.mp4" type="video/mp4" />
      Browser not supported
    </video>
  </div>
  <div>
    <video class="w-full lg:w-[25rem] xl:w-[35rem] mt-5 mb-5 aspect-video" controls>
      <source src="https://videos.pexels.com/video-files/5538137/5538137-hd_1920_1080_25fps.mp4" type="video/mp4" />
      Browser not supported
    </video>
    <hr class="hidden md:flex" />
    <video class="w-full lg:w-[25rem] xl:w-[35rem] mt-5 aspect-video" controls>
      <source src="https://www.shutterstock.com/shutterstock/videos/1060899499/preview/stock-footage-farmer-hand-man-farmer-working-in-the-field-inspects-the-crop-wheat-germ-natural-a-farming.webm" type="video/mp4" />
      Browser not supported
    </video>
  </div>
</div>